%if 0%{?fedora}
%global with_devel 1
%global with_bundled
%global with_debug 1
%global with_check 0
%else
%global with_devel 0
%global with_bundled 1
%global with_debug 0
%global with_check 0
%endif

%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif
%global provider        github
%global provider_tld    com
%global project         gogo
%global repo            protobuf
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global nname           golang-github-gogo-protobuf

%global commit          5ba1012ef3868db1b9ff374280a558c1bfff39c3
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

%global g_import_path   code.google.com/p/gogoprotobuf

%global devel_main      golang-github-gogo-protobuf-devel

Name:           golang-googlecode-gogoprotobuf
Version:        0
Release:        0.12.git%{shortcommit}%{?dist}
Summary:        A fork of goprotobuf with several extra features
License:        BSD
URL:            http://%{import_path}
Source0:        https://github.com/%{project}/%{repo}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
BuildRequires:  golang >= 1.2.1-3
ExclusiveArch:  %{ix86} x86_64 %{arm}
Requires:       protobuf

%description
%{summary}

%if 0%{?with_devel}
%package -n %{nname}-devel
BuildRequires:  golang >= 1.2.1-3
Requires:       golang >= 1.2.1-3
Summary:        %{summary}
Provides:       golang(%{import_path}/codec) = %{version}-%{release}
Provides:       golang(%{import_path}/fieldpath) = %{version}-%{release}
Provides:       golang(%{import_path}/gogoproto) = %{version}-%{release}
Provides:       golang(%{import_path}/io) = %{version}-%{release}
Provides:       golang(%{import_path}/jsonpb) = %{version}-%{release}
Provides:       golang(%{import_path}/jsonpb/jsonpb_test_proto) = %{version}-%{release}
Provides:       golang(%{import_path}/parser) = %{version}-%{release}
Provides:       golang(%{import_path}/plugin/defaultcheck) = %{version}-%{release}
Provides:       golang(%{import_path}/plugin/description) = %{version}-%{release}
Provides:       golang(%{import_path}/plugin/embedcheck) = %{version}-%{release}
Provides:       golang(%{import_path}/plugin/enumstringer) = %{version}-%{release}
Provides:       golang(%{import_path}/plugin/equal) = %{version}-%{release}
Provides:       golang(%{import_path}/plugin/face) = %{version}-%{release}
Provides:       golang(%{import_path}/plugin/gostring) = %{version}-%{release}
Provides:       golang(%{import_path}/plugin/grpc) = %{version}-%{release}
Provides:       golang(%{import_path}/plugin/marshalto) = %{version}-%{release}
Provides:       golang(%{import_path}/plugin/populate) = %{version}-%{release}
Provides:       golang(%{import_path}/plugin/size) = %{version}-%{release}
Provides:       golang(%{import_path}/plugin/stringer) = %{version}-%{release}
Provides:       golang(%{import_path}/plugin/testgen) = %{version}-%{release}
Provides:       golang(%{import_path}/plugin/union) = %{version}-%{release}
Provides:       golang(%{import_path}/plugin/unmarshal) = %{version}-%{release}
Provides:       golang(%{import_path}/proto) = %{version}-%{release}
Provides:       golang(%{import_path}/proto/proto3_proto) = %{version}-%{release}
Provides:       golang(%{import_path}/proto/testdata) = %{version}-%{release}
Provides:       golang(%{import_path}/protoc-gen-gogo) = %{version}-%{release}
Provides:       golang(%{import_path}/protoc-gen-gogo/descriptor) = %{version}-%{release}
Provides:       golang(%{import_path}/protoc-gen-gogo/generator) = %{version}-%{release}
Provides:       golang(%{import_path}/protoc-gen-gogo/plugin) = %{version}-%{release}
Provides:       golang(%{import_path}/protoc-gen-gogo/testdata/my_test) = %{version}-%{release}
Provides:       golang(%{import_path}/protoc-gen-gogo/version) = %{version}-%{release}
Provides:       golang(%{import_path}/sortkeys) = %{version}-%{release}
Provides:       golang(%{import_path}/test) = %{version}-%{release}
Provides:       golang(%{import_path}/test/casttype) = %{version}-%{release}
Provides:       golang(%{import_path}/test/casttype/combos/both) = %{version}-%{release}
Provides:       golang(%{import_path}/test/casttype/combos/marshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/casttype/combos/neither) = %{version}-%{release}
Provides:       golang(%{import_path}/test/casttype/combos/unmarshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/casttype/combos/unsafeboth) = %{version}-%{release}
Provides:       golang(%{import_path}/test/casttype/combos/unsafemarshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/casttype/combos/unsafeunmarshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/combos/both) = %{version}-%{release}
Provides:       golang(%{import_path}/test/combos/marshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/combos/unmarshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/combos/unsafeboth) = %{version}-%{release}
Provides:       golang(%{import_path}/test/combos/unsafemarshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/combos/unsafeunmarshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/custom) = %{version}-%{release}
Provides:       golang(%{import_path}/test/custom-dash-type) = %{version}-%{release}
Provides:       golang(%{import_path}/test/custombytesnonstruct) = %{version}-%{release}
Provides:       golang(%{import_path}/test/dashfilename) = %{version}-%{release}
Provides:       golang(%{import_path}/test/defaultconflict) = %{version}-%{release}
Provides:       golang(%{import_path}/test/embedconflict) = %{version}-%{release}
Provides:       golang(%{import_path}/test/empty-issue70) = %{version}-%{release}
Provides:       golang(%{import_path}/test/enumprefix) = %{version}-%{release}
Provides:       golang(%{import_path}/test/enumstringer) = %{version}-%{release}
Provides:       golang(%{import_path}/test/group) = %{version}-%{release}
Provides:       golang(%{import_path}/test/importdedup) = %{version}-%{release}
Provides:       golang(%{import_path}/test/importdedup/subpkg) = %{version}-%{release}
Provides:       golang(%{import_path}/test/indeximport-issue72) = %{version}-%{release}
Provides:       golang(%{import_path}/test/indeximport-issue72/index) = %{version}-%{release}
Provides:       golang(%{import_path}/test/issue34) = %{version}-%{release}
Provides:       golang(%{import_path}/test/issue42order) = %{version}-%{release}
Provides:       golang(%{import_path}/test/issue8) = %{version}-%{release}
Provides:       golang(%{import_path}/test/mapsproto2) = %{version}-%{release}
Provides:       golang(%{import_path}/test/mapsproto2/combos/both) = %{version}-%{release}
Provides:       golang(%{import_path}/test/mapsproto2/combos/marshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/mapsproto2/combos/neither) = %{version}-%{release}
Provides:       golang(%{import_path}/test/mapsproto2/combos/unmarshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/mapsproto2/combos/unsafeboth) = %{version}-%{release}
Provides:       golang(%{import_path}/test/mapsproto2/combos/unsafemarshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/mapsproto2/combos/unsafeunmarshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/moredefaults) = %{version}-%{release}
Provides:       golang(%{import_path}/test/oneof) = %{version}-%{release}
Provides:       golang(%{import_path}/test/packed) = %{version}-%{release}
Provides:       golang(%{import_path}/test/required) = %{version}-%{release}
Provides:       golang(%{import_path}/test/sizeunderscore) = %{version}-%{release}
Provides:       golang(%{import_path}/test/tags) = %{version}-%{release}
Provides:       golang(%{import_path}/test/theproto3) = %{version}-%{release}
Provides:       golang(%{import_path}/test/theproto3/combos/both) = %{version}-%{release}
Provides:       golang(%{import_path}/test/theproto3/combos/marshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/theproto3/combos/neither) = %{version}-%{release}
Provides:       golang(%{import_path}/test/theproto3/combos/unmarshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/theproto3/combos/unsafeboth) = %{version}-%{release}
Provides:       golang(%{import_path}/test/theproto3/combos/unsafemarshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/theproto3/combos/unsafeunmarshaler) = %{version}-%{release}
Provides:       golang(%{import_path}/test/unmarshalmerge) = %{version}-%{release}
Provides:       golang(%{import_path}/test/unrecognized) = %{version}-%{release}
Provides:       golang(%{import_path}/test/unrecognizedgroup) = %{version}-%{release}
Provides:       golang(%{import_path}/vanity) = %{version}-%{release}
Provides:       golang(%{import_path}/vanity/command) = %{version}-%{release}
Provides:       golang(%{import_path}/vanity/test) = %{version}-%{release}
Provides:       golang(%{import_path}/vanity/test/fast) = %{version}-%{release}
Provides:       golang(%{import_path}/vanity/test/faster) = %{version}-%{release}
Provides:       golang(%{import_path}/vanity/test/slick) = %{version}-%{release}

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:       golang >= 1.2.1-3
Summary:        %{summary}
Provides:       golang(%{g_import_path}/codec) = %{version}-%{release}
Provides:       golang(%{g_import_path}/fieldpath) = %{version}-%{release}
Provides:       golang(%{g_import_path}/gogoproto) = %{version}-%{release}
Provides:       golang(%{g_import_path}/io) = %{version}-%{release}
Provides:       golang(%{g_import_path}/jsonpb) = %{version}-%{release}
Provides:       golang(%{g_import_path}/jsonpb/jsonpb_test_proto) = %{version}-%{release}
Provides:       golang(%{g_import_path}/parser) = %{version}-%{release}
Provides:       golang(%{g_import_path}/plugin/defaultcheck) = %{version}-%{release}
Provides:       golang(%{g_import_path}/plugin/description) = %{version}-%{release}
Provides:       golang(%{g_import_path}/plugin/embedcheck) = %{version}-%{release}
Provides:       golang(%{g_import_path}/plugin/enumstringer) = %{version}-%{release}
Provides:       golang(%{g_import_path}/plugin/equal) = %{version}-%{release}
Provides:       golang(%{g_import_path}/plugin/face) = %{version}-%{release}
Provides:       golang(%{g_import_path}/plugin/gostring) = %{version}-%{release}
Provides:       golang(%{g_import_path}/plugin/grpc) = %{version}-%{release}
Provides:       golang(%{g_import_path}/plugin/marshalto) = %{version}-%{release}
Provides:       golang(%{g_import_path}/plugin/populate) = %{version}-%{release}
Provides:       golang(%{g_import_path}/plugin/size) = %{version}-%{release}
Provides:       golang(%{g_import_path}/plugin/stringer) = %{version}-%{release}
Provides:       golang(%{g_import_path}/plugin/testgen) = %{version}-%{release}
Provides:       golang(%{g_import_path}/plugin/union) = %{version}-%{release}
Provides:       golang(%{g_import_path}/plugin/unmarshal) = %{version}-%{release}
Provides:       golang(%{g_import_path}/proto) = %{version}-%{release}
Provides:       golang(%{g_import_path}/proto/proto3_proto) = %{version}-%{release}
Provides:       golang(%{g_import_path}/proto/testdata) = %{version}-%{release}
Provides:       golang(%{g_import_path}/protoc-gen-gogo) = %{version}-%{release}
Provides:       golang(%{g_import_path}/protoc-gen-gogo/descriptor) = %{version}-%{release}
Provides:       golang(%{g_import_path}/protoc-gen-gogo/generator) = %{version}-%{release}
Provides:       golang(%{g_import_path}/protoc-gen-gogo/plugin) = %{version}-%{release}
Provides:       golang(%{g_import_path}/protoc-gen-gogo/testdata/my_test) = %{version}-%{release}
Provides:       golang(%{g_import_path}/protoc-gen-gogo/version) = %{version}-%{release}
Provides:       golang(%{g_import_path}/sortkeys) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/casttype) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/casttype/combos/both) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/casttype/combos/marshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/casttype/combos/neither) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/casttype/combos/unmarshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/casttype/combos/unsafeboth) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/casttype/combos/unsafemarshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/casttype/combos/unsafeunmarshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/combos/both) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/combos/marshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/combos/unmarshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/combos/unsafeboth) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/combos/unsafemarshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/combos/unsafeunmarshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/custom) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/custom-dash-type) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/custombytesnonstruct) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/dashfilename) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/defaultconflict) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/embedconflict) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/empty-issue70) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/enumprefix) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/enumstringer) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/group) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/importdedup) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/importdedup/subpkg) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/indeximport-issue72) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/indeximport-issue72/index) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/issue34) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/issue42order) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/issue8) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/mapsproto2) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/mapsproto2/combos/both) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/mapsproto2/combos/marshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/mapsproto2/combos/neither) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/mapsproto2/combos/unmarshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/mapsproto2/combos/unsafeboth) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/mapsproto2/combos/unsafemarshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/mapsproto2/combos/unsafeunmarshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/moredefaults) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/oneof) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/packed) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/required) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/sizeunderscore) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/tags) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/theproto3) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/theproto3/combos/both) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/theproto3/combos/marshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/theproto3/combos/neither) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/theproto3/combos/unmarshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/theproto3/combos/unsafeboth) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/theproto3/combos/unsafemarshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/theproto3/combos/unsafeunmarshaler) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/unmarshalmerge) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/unrecognized) = %{version}-%{release}
Provides:       golang(%{g_import_path}/test/unrecognizedgroup) = %{version}-%{release}
Provides:       golang(%{g_import_path}/vanity) = %{version}-%{release}
Provides:       golang(%{g_import_path}/vanity/command) = %{version}-%{release}
Provides:       golang(%{g_import_path}/vanity/test) = %{version}-%{release}
Provides:       golang(%{g_import_path}/vanity/test/fast) = %{version}-%{release}
Provides:       golang(%{g_import_path}/vanity/test/faster) = %{version}-%{release}
Provides:       golang(%{g_import_path}/vanity/test/slick) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%description -n %{nname}-devel
%{summary}

This package contains library source intended for
building other packages which use %{project}/%{repo}.
%endif

%prep
%setup -q -n %{repo}-%{commit}

%build
export GOPATH=$(pwd):%{gopath}
mkdir -p src/github.com/gogo/
ln -s ../../../ src/github.com/gogo/protobuf

%if 0%{?with_debug}
function gobuild { go build -a -ldflags "-B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \n')" -v -x "$@"; }
%else
function gobuild { go build -a  "$@"; }
%endif

mkdir bin
gobuild -o bin/protoc-gen-gogo %{import_path}/protoc-gen-gogo

%install
#### binary ####
install -d %{buildroot}%{_bindir}
install -m 755 bin/protoc-gen-gogo %{buildroot}/%{_bindir}/protoc-gen-gogo
rm -rf proto/testdata protoc-gen-gogo/{protoc-gen-gogo,testdata} fieldpath/fieldpath-gen

%if 0%{?with_devel}
#### devel ####
mkdir -p %{buildroot}/%{gopath}/src/%{import_path}
mkdir -p %{buildroot}/%{gopath}/src/%{g_import_path}

for d in codec fieldpath gogoproto io jsonpb parser plugin proto \
         protoc-gen-gogo sortkeys test vanity; do
   cp -pav $d %{buildroot}/%{gopath}/src/%{import_path}
   cp -pav $d %{buildroot}/%{gopath}/src/%{g_import_path}
   find %{buildroot}/%{gopath}/ -name Makefile -delete
done

cd %{buildroot}/%{gopath}/src/%{g_import_path}/
# github.com/gogo/protobuf -> code.google.com/p/gogoprotobuf
sed -i 's/"github\.com\/gogo\/protobuf/"code\.google\.com\/p\/gogoprotobuf/g' \
        $(find . -name '*.go')
%endif

%check
%if 0%{?with_check}
export GOPATH=$(pwd):%{gopath}
go test %{import_path}/codec
go test %{import_path}/fieldpath
go test %{import_path}/io
go test %{import_path}/jsonpb
go test %{import_path}/parser
#go test %{import_path}/proto
#go test %{import_path}/proto/testdata
go test %{import_path}/protoc-gen-gogo/generator
go test %{import_path}/test
go test %{import_path}/test/casttype/combos/both
go test %{import_path}/test/casttype/combos/marshaler
go test %{import_path}/test/casttype/combos/neither
go test %{import_path}/test/casttype/combos/unmarshaler
go test %{import_path}/test/casttype/combos/unsafeboth
go test %{import_path}/test/casttype/combos/unsafemarshaler
go test %{import_path}/test/casttype/combos/unsafeunmarshaler
go test %{import_path}/test/combos/both
go test %{import_path}/test/combos/marshaler
go test %{import_path}/test/combos/unmarshaler
go test %{import_path}/test/combos/unsafeboth
go test %{import_path}/test/combos/unsafemarshaler
go test %{import_path}/test/combos/unsafeunmarshaler
go test %{import_path}/test/custom
go test %{import_path}/test/custombytesnonstruct
#go test %{import_path}/test/dashfilename
go test %{import_path}/test/defaultconflict
go test %{import_path}/test/embedconflict
go test %{import_path}/test/empty-issue70
go test %{import_path}/test/enumstringer
go test %{import_path}/test/group
go test %{import_path}/test/importdedup
go test %{import_path}/test/indeximport-issue72
go test %{import_path}/test/indeximport-issue72/index
go test %{import_path}/test/issue34
go test %{import_path}/test/issue42order
go test %{import_path}/test/issue8
go test %{import_path}/test/mapsproto2/combos/both
go test %{import_path}/test/mapsproto2/combos/marshaler
go test %{import_path}/test/mapsproto2/combos/neither
go test %{import_path}/test/mapsproto2/combos/unmarshaler
go test %{import_path}/test/mapsproto2/combos/unsafeboth
go test %{import_path}/test/mapsproto2/combos/unsafemarshaler
go test %{import_path}/test/mapsproto2/combos/unsafeunmarshaler
go test %{import_path}/test/moredefaults
go test %{import_path}/test/packed
go test %{import_path}/test/required
go test %{import_path}/test/sizeunderscore
go test %{import_path}/test/tags
go test %{import_path}/test/theproto3/combos/both
go test %{import_path}/test/theproto3/combos/marshaler
go test %{import_path}/test/theproto3/combos/neither
go test %{import_path}/test/theproto3/combos/unmarshaler
go test %{import_path}/test/theproto3/combos/unsafeboth
go test %{import_path}/test/theproto3/combos/unsafemarshaler
go test %{import_path}/test/theproto3/combos/unsafeunmarshaler
go test %{import_path}/test/unmarshalmerge
go test %{import_path}/test/unrecognized
go test %{import_path}/test/unrecognizedgroup
go test %{import_path}/vanity/test
%endif

%files 
%doc CONTRIBUTORS LICENSE README
%{_bindir}/protoc-gen-gogo

%if 0%{?with_devel}
%files -n %{nname}-devel
%doc CONTRIBUTORS LICENSE README
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%files devel
%doc CONTRIBUTORS LICENSE README
%{gopath}/src/%{g_import_path}
%endif

%changelog
* Thu Jul 23 2015 jchaloup <jchaloup@redhat.com> - 0-0.12.git5ba1012
- Bump to upstream 5ba1012ef3868db1b9ff374280a558c1bfff39c3
- Disable tests
  resolves: #1246215

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.11.gitbc946d0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 13 2015 jchaloup <jchaloup@redhat.com> - 0-0.10.gitbc946d0
- Bump to upstream bc946d07d1016848dfd2507f90f0859c9471681e
  import path has changed -> add devel package to keep back compatibility
  with code.google.com/p/gogoprotobuf import paths

* Fri Sep 19 2014 jchaloup <jchaloup@redhat.com> - 0-0.9.gitd228c1a
- initial commit (package review #1120882)

* Fri Sep 19 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.8.gitd228c1a
- preserve timestamps
- don't own golang dirs
- don't redifine gopath
- ExcluseBuild for goarches

* Thu Jul 17 2014 Colin Walters <walters@verbum.org> - 0-0.7.gitd228c1a
- Initial package
